summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorCiaran McCreesh <ciaranm@gentoo.org>2005-12-05 23:44:50 +0000
committerCiaran McCreesh <ciaranm@gentoo.org>2005-12-05 23:44:50 +0000
commit073cef3043c10cf98ae3aa8788aa88a0d03d4a2a (patch)
tree393db91f9151f8b105e4eac715ff57a0e49ae419 /eclass
parentFix GStreamer dependencies (diff)
downloadgentoo-2-073cef3043c10cf98ae3aa8788aa88a0d03d4a2a.tar.gz
gentoo-2-073cef3043c10cf98ae3aa8788aa88a0d03d4a2a.tar.bz2
gentoo-2-073cef3043c10cf98ae3aa8788aa88a0d03d4a2a.zip
chgrp root isn't portable, bug #112514
Diffstat (limited to 'eclass')
-rw-r--r--eclass/vim-plugin.eclass8
1 files changed, 6 insertions, 2 deletions
diff --git a/eclass/vim-plugin.eclass b/eclass/vim-plugin.eclass
index bfecd43108dd..8ed1b9e47fbe 100644
--- a/eclass/vim-plugin.eclass
+++ b/eclass/vim-plugin.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/vim-plugin.eclass,v 1.14 2005/07/11 15:08:06 swegener Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/vim-plugin.eclass,v 1.15 2005/12/05 23:44:50 ciaranm Exp $
#
# This eclass simplifies installation of app-vim plugins into
# /usr/share/vim/vimfiles. This is a version-independent directory
@@ -24,7 +24,11 @@ vim-plugin_src_install() {
# Make sure perms are good
chmod -R a+rX ${S} || die "chmod failed"
find ${S} -user 'portage' -exec chown root '{}' \; || die "chown failed"
- find ${S} -group 'portage' -exec chgrp root '{}' \; || die "chgrp failed"
+ if use userland_BSD || use userland_Darwin ; then
+ find ${S} -group 'portage' -exec chgrp wheel '{}' \; || die "chgrp failed"
+ else
+ find ${S} -group 'portage' -exec chgrp root '{}' \; || die "chgrp failed"
+ fi
eend $?
# Install non-vim-help-docs